Skip to main content
GET
/
api
/
v1
/
batches
/
{batchId}
Fetch
const response = await fetch("https://api.trigger.dev/api/v1/batches/batch_1234", {
  headers: {
    "Authorization": `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
  },
});
const batch = await response.json();
{
  "id": "<string>",
  "status": "PENDING",
  "idempotencyKey": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "runCount": 123,
  "runs": [
    "<string>"
  ],
  "successfulRunCount": 123,
  "failedRunCount": 123,
  "errors": [
    {
      "index": 123,
      "taskIdentifier": "<string>",
      "error": {},
      "errorCode": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

import { configure } from "@trigger.dev/sdk";

configure({ accessToken: "tr_dev_1234" });

Path Parameters

batchId
string
required

The ID of the batch, starts with batch_.

Response

Successful request

id
string

The batch ID.

status
enum<string>

The current status of the batch.

Available options:
PENDING,
PROCESSING,
COMPLETED,
PARTIAL_FAILED,
ABORTED
idempotencyKey
string | null

The idempotency key provided when triggering, if any.

createdAt
string<date-time>
updatedAt
string<date-time>
runCount
integer

The total number of runs in the batch.

runs
string[]

Array of run IDs in the batch.

successfulRunCount
integer | null

Number of successful runs (populated after completion).

failedRunCount
integer | null

Number of failed runs (populated after completion).

errors
object[] | null

Error details for failed items (present for PARTIAL_FAILED batches).